import request from '@/utils/request'


// 保险公司登录
export function serviceLogin(data) {
  return request({
    url: '/depositm/financialService/login',
    method: 'post',
    data: data
  })
}

//保险产品列表
export function productList(query) {
  return request({
    url: '/depositm/financialProduct/list',
    method: 'get',
    params: query
  })
}

//保险产品详情
export function productGet(id) {
  return request({
    url: '/depositm/financialProduct/get/'+id,
    method: 'get',
  })
}

//上传全局方法附件
export function commonUpload(data) {
  return request({
    url: '/depositm/common/upload',
    method: 'post',
    header: { "Content-Type": 'application/x-www-form-urlencoded' },
    data: data
  })
}

// 修改保险产品
export function financialProductEdit(data) {
  return request({
    url: '/depositm/financialProduct/edit',
    method: 'post',
    data: data
  })
}

// 新增保险产品
export function financialProductAdd(data) {
  return request({
    url: '/depositm/financialProduct/add',
    method: 'post',
    data: data
  })
}


